[Plugin][$] S4u_Transformer
-
Sorry HornOxx, This trial is expired.
-
@hdpv said:
Sorry HornOxx, This trial is expired.
Could you change the wording in the message? That message doesn't indicate at all that the trial period has expired and that the user needs to pay up or discontinue the plugin. Perhaps you could change the message to something like, "Thank you for trying S4u_Transformer. The trial period has ended. Please go to [your website] to purchase the a license."
-
Sorry - how embarrassing to me!! I didn´t even notice that this is a purchase-plugin.
Regards to All
-
Thanks Dave!
-
This is incredible
-
To the Author (S4U).
Should it be any discount, upgrade price for the v1 users?
If yes how can one apply it? -
Hi
Now,the update is free.
Mail to me if you purchased it. -
Hdpv, Say I have multiple components, some of them have scale -1 (=mirrored) on some axis, some do not. Is there way to take onlythose with scale -1 and flip it to 1?
Thank you -
Hi rv1974!
s4u Transformer can't do it.
You try this code:
sel=Sketchup.active_model.selection
axis=[0,5,10]
s=sel.group_by{|e| e.transformation.to_a[axis.z]>0}.values[0] # you can change axis.x or axis.y
sel.clear
sel.add s -
Hdpv thanks for reply!
I tried the code- nothing happens. what am I doing wrong?Error: #<TypeError: wrong argument type (expected Sketchup::Entity or Array of Sketchup::Entity)>
<main>:4:inadd' <main>:4:in
<main>'
SketchUp:1:in `eval'
-
First,You select all components.
-
IDK I select all and ... no magic happens
Sometimes I have no reply in Ruby console, sometimes diffrent errors.
In any case nothing flips to originalsel=Sketchup.active_model.selection
axis=[0,5,10]
s=sel.group_by{|e| e.transformation.to_a[axis.z]>0}.values[0] # you can change axis.x or axis.y
sel.clear
sel.add s
Error: #<TypeError: wrong argument type (expected Sketchup::Entity or Array of Sketchup::Entity)>
<main>:4:inadd' <main>:4:in
<main>'
SketchUp:1:in `eval'or
Error: #<TypeError: wrong argument type (expected Sketchup::Entity or Array of Sketchup::Entity)>
<main>:4:inadd' <main>:4:in
<main>'
SketchUp:1:ineval' Error: #<SyntaxError: <main>: syntax error, unexpected ':', expecting end-of-input Error: #<TypeError: wrong argument ... ^> SketchUp:1:in
eval'
-
Hi
You change axis.z to axis.x
sel=Sketchup.active_model.selection
axis=[0,5,10]
s=sel.group_by{|e| e.transformation.to_a[axis.x]>0}.values[0] # you can change axis.x or axis.y
sel.clear
sel.add s
After,you use s4uTransformer with center origin and ratio scale x_axis: -1 -
Wow! You are my hero! You see 3ds Max hates negative scale entities and it causes huge PITA.
May I humbly ask you to shape it as .rb?
And if you could merge with 'Reset Transformer' as one new script it'd be amazing.
Many thanks for assistance.
Advertisement